StartingVehicles = function()
	StartTanks0 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multi0 end)
	StartTanks1 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multi1 end)
	StartTanks2 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multi2 end)
	StartTanks3 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multi3 end)
	Utils.Do(StartTanks0, function(fg)
		fg.Owner = multiai0
	end)
	Utils.Do(StartTanks1, function(fg)
		fg.Owner = multiai1
	end)
	Utils.Do(StartTanks2, function(fg)
		fg.Owner = multiai2
	end)
	Utils.Do(StartTanks3, function(fg)
		fg.Owner = multiai3
	end)
	Trigger.AfterDelay(DateTime.Seconds(0.000002), function()
		Trigger.AfterDelay(DateTime.Seconds(0.000001), function()
			StartVehicleA0 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai0 end)
		 	 Utils.Do(Utils.Take(1, StartVehicleA0), function(a)
				a.Owner = multi0
				a.GrantUpgrade("nopilot")
				Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleA0 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
				Trigger.OnPassengerEntered(a, function(vehicle, driver)
					if driver.Type == "pilot" then
						driver.Destroy()
						Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
							vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
							Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi0.Color)
							Media.PlaySoundNotification(multi0, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
							a.RevokeUpgrade("nopilot")
						end)
						vehicle.UnloadPassengers()
						Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
					end
				end)
				Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
					if t.Type == "pilot" and t == TechnicalsA0 then
						t.RevokeUpgrade("missionmarker.enabled")
						Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
						Trigger.RemoveProximityTrigger(id)
					end
				end)
			end)
			StartVehicleA1 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai1 end)
		 	 Utils.Do(Utils.Take(1, StartVehicleA1), function(a)
				a.Owner = multi1
				a.GrantUpgrade("nopilot")
				Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleA1 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
				Trigger.OnPassengerEntered(a, function(vehicle, driver)
					if driver.Type == "pilot" then
						driver.Destroy()
						Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
							vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
							Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi1.Color)
							Media.PlaySoundNotification(multi1, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
							a.RevokeUpgrade("nopilot")
						end)
						vehicle.UnloadPassengers()
						Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
					end
				end)
				Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
					if t.Type == "pilot" and t == TechnicalsA1 then
						t.RevokeUpgrade("missionmarker.enabled")
						Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
						Trigger.RemoveProximityTrigger(id)
					end
				end)
			end)
			StartVehicleA2 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai2 end)
		 	 Utils.Do(Utils.Take(1, StartVehicleA2), function(a)
				a.Owner = multi2
				a.GrantUpgrade("nopilot")
				Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleA2 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
				Trigger.OnPassengerEntered(a, function(vehicle, driver)
					if driver.Type == "pilot" then
						driver.Destroy()
						Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
							vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
							Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi2.Color)
							Media.PlaySoundNotification(multi2, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
							a.RevokeUpgrade("nopilot")
						end)
						vehicle.UnloadPassengers()
						Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
					end
				end)
				Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
					if t.Type == "pilot" and t == TechnicalsA2 then
						t.RevokeUpgrade("missionmarker.enabled")
						Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
						Trigger.RemoveProximityTrigger(id)
					end
				end)
			end)
			StartVehicleA3 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai3 end)
		 	 Utils.Do(Utils.Take(1, StartVehicleA3), function(a)
				a.Owner = multi3
				a.GrantUpgrade("nopilot")
				Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleA3 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
				Trigger.OnPassengerEntered(a, function(vehicle, driver)
					if driver.Type == "pilot" then
						driver.Destroy()
						Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
							vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
							Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi3.Color)
							Media.PlaySoundNotification(multi3, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
							a.RevokeUpgrade("nopilot")
						end)
						vehicle.UnloadPassengers()
						Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
					end
				end)
				Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
					if t.Type == "pilot" and t == TechnicalsA3 then
						t.RevokeUpgrade("missionmarker.enabled")
						Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
						Trigger.RemoveProximityTrigger(id)
					end
				end)
			end)
			Trigger.AfterDelay(DateTime.Seconds(0.000001), function()
				StartVehicleB0 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai0 end)
			 	 Utils.Do(Utils.Take(1, StartVehicleB0), function(a)
					a.Owner = multi0
					a.GrantUpgrade("nopilot")
					Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleB0 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
					Trigger.OnPassengerEntered(a, function(vehicle, driver)
						if driver.Type == "pilot" then
							driver.Destroy()
							Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
								vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
								Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi0.Color)
								Media.PlaySoundNotification(multi0, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
								a.RevokeUpgrade("nopilot")
							end)
							vehicle.UnloadPassengers()
							Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
						end
					end)
					Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
						if t.Type == "pilot" and t == TechnicalsB0 then
							t.RevokeUpgrade("missionmarker.enabled")
							Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
							Trigger.RemoveProximityTrigger(id)
						end
					end)
				end)
				StartVehicleB1 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai1 end)
			 	 Utils.Do(Utils.Take(1, StartVehicleB1), function(a)
					a.Owner = multi1
					a.GrantUpgrade("nopilot")
					Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleB1 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
					Trigger.OnPassengerEntered(a, function(vehicle, driver)
						if driver.Type == "pilot" then
							driver.Destroy()
							Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function() 
								vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
								Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi1.Color)
								Media.PlaySoundNotification(multi1, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
								a.RevokeUpgrade("nopilot")
							end)
							vehicle.UnloadPassengers()
							Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
						end
					end)
					Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
						if t.Type == "pilot" and t == TechnicalsB1 then
							t.RevokeUpgrade("missionmarker.enabled")
							Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
							Trigger.RemoveProximityTrigger(id)
						end
					end)
				end)
				StartVehicleB2 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai2 end)
			 	 Utils.Do(Utils.Take(1, StartVehicleB2), function(a)
					a.Owner = multi2
					a.GrantUpgrade("nopilot")
					Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleB2 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
					Trigger.OnPassengerEntered(a, function(vehicle, driver)
						if driver.Type == "pilot" then
							driver.Destroy()
							Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
								vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
								Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi2.Color)
								Media.PlaySoundNotification(multi2, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
								a.RevokeUpgrade("nopilot")
							end)
							vehicle.UnloadPassengers()
							Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
						end
					end)
					Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
						if t.Type == "pilot" and t == TechnicalsB2 then
							t.RevokeUpgrade("missionmarker.enabled")
							Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
							Trigger.RemoveProximityTrigger(id)
						end
					end)
				end)
				StartVehicleB3 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai3 end)
			 	 Utils.Do(Utils.Take(1, StartVehicleB3), function(a)
					a.Owner = multi3
					a.GrantUpgrade("nopilot")
					Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleB3 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
					Trigger.OnPassengerEntered(a, function(vehicle, driver)
						if driver.Type == "pilot" then
							driver.Destroy()
							Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
								vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
								Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi3.Color)
								Media.PlaySoundNotification(multi3, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
								a.RevokeUpgrade("nopilot")
							end)
							vehicle.UnloadPassengers()
							Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
						end
					end)
					Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
						if t.Type == "pilot" and t == TechnicalsB3 then
							t.RevokeUpgrade("missionmarker.enabled")
							Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
							Trigger.RemoveProximityTrigger(id)
						end
					end)
				end)
				Trigger.AfterDelay(DateTime.Seconds(0.000001), function()
					StartVehicleC0 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai0 end)
				 	 Utils.Do(Utils.Take(1, StartVehicleC0), function(a)
						a.Owner = multi0
						a.GrantUpgrade("nopilot")
						Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleC0 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
						Trigger.OnPassengerEntered(a, function(vehicle, driver)
							if driver.Type == "pilot" then
								driver.Destroy()
								Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
									vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
									Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi0.Color)
									Media.PlaySoundNotification(multi0, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
									a.RevokeUpgrade("nopilot")
								end)
								vehicle.UnloadPassengers()
								Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
							end
						end)
						Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
							if t.Type == "pilot" and t == TechnicalsC0 then
								t.RevokeUpgrade("missionmarker.enabled")
								Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
								Trigger.RemoveProximityTrigger(id)
							end
						end)
					end)
					StartVehicleC1 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai1 end)
				 	 Utils.Do(Utils.Take(1, StartVehicleC1), function(a)
						a.Owner = multi1
						a.GrantUpgrade("nopilot")
						Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleC1 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
						Trigger.OnPassengerEntered(a, function(vehicle, driver)
							if driver.Type == "pilot" then
								driver.Destroy()
								Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
									vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
									Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi1.Color)
									Media.PlaySoundNotification(multi1, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
									a.RevokeUpgrade("nopilot")
								end)
								vehicle.UnloadPassengers()
								Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
							end
						end)
						Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
							if t.Type == "pilot" and t == TechnicalsC1 then
								t.RevokeUpgrade("missionmarker.enabled")
								Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
								Trigger.RemoveProximityTrigger(id)
							end
						end)
					end)
					StartVehicleC2 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai2 end)
				 	 Utils.Do(Utils.Take(1, StartVehicleC2), function(a)
						a.Owner = multi2
						a.GrantUpgrade("nopilot")
						Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleC2 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
						Trigger.OnPassengerEntered(a, function(vehicle, driver)
							if driver.Type == "pilot" then
								driver.Destroy()
								Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
									vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
									Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi2.Color)
									Media.PlaySoundNotification(multi2, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
									a.RevokeUpgrade("nopilot")
								end)
								vehicle.UnloadPassengers()
								Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
							end
						end)
						Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
							if t.Type == "pilot" and t == TechnicalsC2 then
								t.RevokeUpgrade("missionmarker.enabled")
								Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
								Trigger.RemoveProximityTrigger(id)
							end
						end)
					end)
					StartVehicleC3 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai3 end)
				 	 Utils.Do(Utils.Take(1, StartVehicleC3), function(a)
						a.Owner = multi3
						a.GrantUpgrade("nopilot")
						Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleC3 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
						Trigger.OnPassengerEntered(a, function(vehicle, driver)
							if driver.Type == "pilot" then
								driver.Destroy()
								Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
									vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
									Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi3.Color)
									Media.PlaySoundNotification(multi3, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
									a.RevokeUpgrade("nopilot")
								end)
								vehicle.UnloadPassengers()
								Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
							end
						end)
						Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
							if t.Type == "pilot" and t == TechnicalsC3 then
								t.RevokeUpgrade("missionmarker.enabled")
								Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
								Trigger.RemoveProximityTrigger(id)
							end
						end)
					end)
					Trigger.AfterDelay(DateTime.Seconds(0.000001), function()
						StartVehicleD0 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai0 end)
					 	 Utils.Do(Utils.Take(1, StartVehicleD0), function(a)
							a.Owner = multi0
							a.GrantUpgrade("nopilot")
							Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleD0 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
							Trigger.OnPassengerEntered(a, function(vehicle, driver)
								if driver.Type == "pilot" then
									driver.Destroy()
									Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
										vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
										Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi0.Color)
										Media.PlaySoundNotification(multi0, "VehicleEngineSound" .. Utils.RandomInteger(1, 3)) 
										a.RevokeUpgrade("nopilot")
									end)
									vehicle.UnloadPassengers()
									Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
								end
							end)
							Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
								if t.Type == "pilot" and t == TechnicalsD0 then
									t.RevokeUpgrade("missionmarker.enabled")
									Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
									Trigger.RemoveProximityTrigger(id)
								end
							end)
						end)
						StartVehicleD1 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai1 end)
					 	 Utils.Do(Utils.Take(1, StartVehicleD1), function(a)
							a.Owner = multi1
							a.GrantUpgrade("nopilot")
							Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleD1 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
							Trigger.OnPassengerEntered(a, function(vehicle, driver)
								if driver.Type == "pilot" then
									driver.Destroy()
									Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
										vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
										Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi1.Color)
										Media.PlaySoundNotification(multi1, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
										a.RevokeUpgrade("nopilot")
									end)
									vehicle.UnloadPassengers()
									Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
								end
							end)
							Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
								if t.Type == "pilot" and t == TechnicalsD1 then
									t.RevokeUpgrade("missionmarker.enabled")
									Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
									Trigger.RemoveProximityTrigger(id)
								end
							end)
						end)
						StartVehicleD2 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai2 end)
					 	 Utils.Do(Utils.Take(1, StartVehicleD2), function(a)
							a.Owner = multi2
							a.GrantUpgrade("nopilot")
							Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleD2 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
							Trigger.OnPassengerEntered(a, function(vehicle, driver)
								if driver.Type == "pilot" then
									driver.Destroy()
									Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
										vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
										Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi2.Color)
										Media.PlaySoundNotification(multi2, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
										a.RevokeUpgrade("nopilot")
									end)
									vehicle.UnloadPassengers()
									Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
								end
							end)
							Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
								if t.Type == "pilot" and t == TechnicalsD2 then
									t.RevokeUpgrade("missionmarker.enabled")
									Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
									Trigger.RemoveProximityTrigger(id)
								end
							end)
						end)
						StartVehicleD3 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai3 end)
					 	 Utils.Do(Utils.Take(1, StartVehicleD3), function(a)
							a.Owner = multi3
							a.GrantUpgrade("nopilot")
							Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleD3 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
							Trigger.OnPassengerEntered(a, function(vehicle, driver)
								if driver.Type == "pilot" then
									driver.Destroy()
									Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
										vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
										Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi3.Color)
										Media.PlaySoundNotification(multi3, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
										a.RevokeUpgrade("nopilot")
									end)
									vehicle.UnloadPassengers()
									Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
								end
							end)
							Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
								if t.Type == "pilot" and t == TechnicalsD3 then
									t.RevokeUpgrade("missionmarker.enabled")
									Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
									Trigger.RemoveProximityTrigger(id)
								end
							end)
						end)
						Trigger.AfterDelay(DateTime.Seconds(0.000001), function()
							StartVehicleE0 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai0 end)
						 	 Utils.Do(Utils.Take(1, StartVehicleE0), function(a)
								a.Owner = multi0
								a.GrantUpgrade("nopilot")
								Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleE0 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
								Trigger.OnPassengerEntered(a, function(vehicle, driver)
									if driver.Type == "pilot" then
										driver.Destroy()
										Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
											vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
											Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi0.Color)
											Media.PlaySoundNotification(multi0, "VehicleEngineSound" .. Utils.RandomInteger(1, 3)) 
											a.RevokeUpgrade("nopilot")
										end)
										vehicle.UnloadPassengers()
										Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
									end
								end)
								Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
									if t.Type == "pilot" and t == TechnicalsE0 then
										t.RevokeUpgrade("missionmarker.enabled")
										Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
										Trigger.RemoveProximityTrigger(id)
									end
								end)
							end)
							StartVehicleE1 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai1 end)
						 	 Utils.Do(Utils.Take(1, StartVehicleE1), function(a)
								a.Owner = multi1
								a.GrantUpgrade("nopilot")
								Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleE1 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
								Trigger.OnPassengerEntered(a, function(vehicle, driver)
									if driver.Type == "pilot" then
										driver.Destroy()
										Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
											vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
											Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi1.Color)
											Media.PlaySoundNotification(multi1, "VehicleEngineSound" .. Utils.RandomInteger(1, 3)) 
											a.RevokeUpgrade("nopilot")
										end)
										vehicle.UnloadPassengers()
										Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
									end
								end)
								Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
									if t.Type == "pilot" and t == TechnicalsE1 then
										t.RevokeUpgrade("missionmarker.enabled")
										Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
										Trigger.RemoveProximityTrigger(id)
									end
								end)
							end)
							StartVehicleE2 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai2 end)
						 	 Utils.Do(Utils.Take(1, StartVehicleE2), function(a)
								a.Owner = multi2
								a.GrantUpgrade("nopilot")
								Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleE2 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
								Trigger.OnPassengerEntered(a, function(vehicle, driver)
									if driver.Type == "pilot" then
										driver.Destroy()
										Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
											vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
											Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi2.Color)
											Media.PlaySoundNotification(multi2, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
											a.RevokeUpgrade("nopilot")
										end)
										vehicle.UnloadPassengers()
										Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
									end
								end)
								Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
									if t.Type == "pilot" and t == TechnicalsE2 then
										t.RevokeUpgrade("missionmarker.enabled")
										Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
										Trigger.RemoveProximityTrigger(id)
									end
								end)
							end)
							StartVehicleE3 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(g) return (g.Type == "jeep" or g.Type == "jeep.recon" or g.Type == "apc.tower" or g.Type == "arty" or g.Type == "v2rl" or g.Type == "1tnk" or g.Type == "2tnk" or g.Type == "3tnk" or g.Type == "4tnk") and g.Owner == multiai3 end)
						 	 Utils.Do(Utils.Take(1, StartVehicleE3), function(a)
								a.Owner = multi3
								a.GrantUpgrade("nopilot")
								Trigger.AfterDelay(DateTime.Seconds(0.0000001), function() StartVehicleE3 = Map.ActorsInBox(Map.TopLeft, Map.BottomRight, function(v) return v == a end) end)
								Trigger.OnPassengerEntered(a, function(vehicle, driver)
									if driver.Type == "pilot" then
										driver.Destroy()
										Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(0.3, 0.9)), function()
											Media.FloatingText(Utils.Random({ "-Engine ready!", "-Vehicle started.", "-Mobile Battle-Station online." }), vehicle.CenterPosition + WVec.New(Utils.RandomInteger(-2, 2), Utils.RandomInteger(-2, 2), Utils.RandomInteger(8, 16)), Utils.RandomInteger(66, 99), multi3.Color)
											vehicle.GrantTimedUpgrade("mouth.prefix", Utils.RandomInteger(44, 66))
											Media.PlaySoundNotification(multi3, "VehicleEngineSound" .. Utils.RandomInteger(1, 3))
											a.RevokeUpgrade("nopilot")
										end)
										vehicle.UnloadPassengers()
										Trigger.OnAddedToWorld(driver, function(d) d.Destroy() end)
									end
								end)
								Trigger.OnEnteredProximityTrigger(a.CenterPosition, WDist.FromCells(1.0), function(t, id)
									if t.Type == "pilot" and t == TechnicalsE3 then
										t.RevokeUpgrade("missionmarker.enabled")
										Trigger.AfterDelay(DateTime.Seconds(1.321), function() t.GrantUpgrade("unseen") end)
										Trigger.RemoveProximityTrigger(id)
									end
								end)
							end)
						end)
					end)
				end)
			end)
		end)
	end)
	Trigger.AfterDelay(DateTime.Seconds(Utils.RandomInteger(4, 6)), function()
		Media.DisplayMessage("-Commander, No Signal with Armorers detachment!", "[Report]", Utils.Random({ HSLColor.Red, HSLColor.DarkRed, HSLColor.Orange, HSLColor.DarkOrange }))
	end)
end

